Solar Orbiter LFR - Test case #314

signaux tests pour CoreFFT - série 8 (deux cosinus)

14/01/2015 11:04 AM - thomas chust

Status: New Start date: 14/01/2015
Priority: Normal Due date:

Assignee: Jean-Christophe Pellion % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Suite aux premiers résultats (série 1, Test case #312) voici une autre série de signaux a tester. Tout est dans le répertoire FILE dans
le fichier .zip:
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/745/cosinus_s%C3%A9rie2.zip
A bient6t

Thomas

History

#1 - 15/01/2015 06:17 PM - Jean-Christophe Pellion
- File 2015_01_15_cosinus_serie2.zip added
- Assignee changed from Jean-Christophe Pellion to thomas chust

- % Done changed from 0 to 100

Voici le zip avec les resultats.

#2 - 16/01/2015 12:28 PM - thomas chust

- File cosinus_série3.zip added

Tout est nominal dans les résultats de la série 2 sauf: les signaux avec ampl=3 ne sont pas détectés!

Pour poursuivre cette invistigation sur la plus petite valeur détectée voici une autre série 3 en piece jointe ...

Thomas

#3 - 16/01/2015 02:46 PM - Jean-Christophe Pellion

- Assignee changed from thomas chust to Jean-Christophe Pellion

#4 - 16/01/2015 02:47 PM - Jean-Christophe Pellion
- File 2015_01_16_cosinus_serie3.zip added

- Assignee changed from Jean-Christophe Pellion to thomas chust

Zip de la série 3.

#5 - 16/01/2015 06:17 PM - thomas chust
- Assignee changed from thomas chust to Jean-Christophe Pellion

- % Done changed from 100 to 80

Les résulats montrent qu'une amplitude >= 5 est bien détectable. Pour ampl < 5 les outputs valent en amplitude au mieux +1 donc pas vraiment

distingable des fluctuations erratiques valant +/-1.

=> Le module CoreFFT qui est implémenté met a priori bien en oeuvre une "conditional block floating-point scaling": la division par 2 inconditionelle a
été testée avec Python et donnait des résultats bien moins bon (malgré des "twiddle factors" trés précis). |l reste cependant a vérifier ce résultat pour
des fréquences qui ne tombent pas pile sur un multiple de la résolution en fréquence. A suivre avec une série 4 de signaux ...

#6 - 26/01/2015 11:30 AM - thomas chust
- File cosinus_série4.zip added
- File noise_sérieb.zip added

- % Done changed from 80 to 0
https://hephaistos.lpp.polytechnique.fr/redmine/issues/312
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/745/cosinus_s%C3%A9rie2.zip

2 nouvelles séries pour compléter |'étude en cours:
- série 4 qui teste un cosinus d'amplitude faible avec une fréquence au milieu de deux fréquences "exactes"
- série 5 qui teste un bruit blanc de faible amplitude (écart type faible)

#7 - 05/02/2015 03:36 PM - Jean-Christophe Pellion
- File 2015_02_05_noise_serie5.zip added
- File 2015_02_05_cosinus_serie4.zip added

Zip des series 4 et 5

#8 - 05/02/2015 03:37 PM - Jean-Christophe Pellion
- Assignee changed from Jean-Christophe Pellion to thomas chust

- % Done changed from 0 to 100

#9 - 09/02/2015 11:15 PM - thomas chust
- File cosinus_serie6.zip added
- Assignee changed from thomas chust to Jean-Christophe Pellion

- % Done changed from 100 to 0

Résultat d'analyse de la série 4 (cosinus):

- aucune des amplitudes (ampl=5 a 7) n'est détectée pour une fréquence a cheval entre deux fréquences "exactes" (ici freq=32.5), quelque soit la
phase phi=0°, 45° ou 90°.

action => ci-joint une nouvelle série pour compléter cette étude:
- série 6 avec des cosinus d'amplitude allant de 8 a 15 avec toujours freq=32.5 et les 3 cas de phase phi=0°, 45° ou 90°.

#10 - 10/02/2015 01:10 PM - Jean-Christophe Pellion

- File 2015_02_10_cosinus_serie6.zip added

- Subject changed from signaux tests pour CoreFFT - série 2 to signaux tests pour CoreFFT - série 6
- Assignee changed from Jean-Christophe Pellion to thomas chust

- % Done changed from 0 to 100

#11 - 11/02/2015 09:09 AM - thomas chust
Résultat d'analyse de la série 6 (cosinus):

- les amplitudes avec ampl >=12, environ, sont correctement détectables quelque soit la phase (phi=0°, 45° ou 90°), avec 30%-50% d'erreur
systématique (tendance a la sous-évaluation et erreurs absolues de 1-2 counts).

#12 - 11/02/2015 11:35 AM - thomas chust

Résultat d'analyse de la série 5 (noise):

- pour ampl=16 le résultat de la "vraie" FFT donne des parties réelles et imaginaires < 1 (en valeur absolue) [car sigma ~ sqrt(ampl*2/3)=9.24 que I'on
divise ensuite par sqrt(256)=16]. On s'attend donc a obtenir des valeurs nulles partout. Or on obtient beaucoup de FFFF (-1') et deux '+1".

=> Observation d'un plancher peuplé de FFFF

- pour ampl=28 on s'attend aussi a des valeurs légérement inférieurs a 1 (en valeur absolue) [sigma ~ sqrt(ampl*2/3)=16.17], et on observe encore

beaucoup de FFFF erratiques ...
- pour ampl=56 [sigma ~ sqrt(ampl*2/3)=32.33] des valeurs autour de 2 sont attendues ce qui semble étre observé aux erreurs de 1-2 counts prés ...

#13 - 11/02/2015 12:13 PM - thomas chust

- File noise_serie7.zip added

- Subject changed from signaux tests pour CoreFFT - série 6 to signaux tests pour CoreFFT - série 7 (noise)
- Assignee changed from thomas chust to Jean-Christophe Pellion

- % Done changed from 100 to 0

Une derniére série (? :)) pour compléter I'étude sur le noise:

- série 7 qui fournit des bruits blancs sur toute la gamme d'amplitude a priori mesurable sans probléme (cf résultat d'analyse de la série 5). Au
passage, ci-joint dans le fichier zip, se trouve des fichiers "FFT_..." dans lesquels j'ai enregistré les valeurs calculées "exactes" des FFT pour
chacune des réalisations de signaux aléatoires générés. Ce sont donc des fichiers de référence, ce que j'avais oublié de faire pour la série 5 ...
#14 - 11/02/2015 12:31 PM - Jean-Christophe Pellion
- File 2015_02_11_noise_serie7.zip added
- Assignee changed from Jean-Christophe Pellion to thomas chust

- % Done changed from 0 to 100

#15 - 11/02/2015 11:38 PM - thomas chust

- File analyse_serie7.zip added

Résultat d'analyse de la série 7 (noise):

- pour toutes les amplitudes de bruit (56 <= ampl <= 32767) les écarts entre la FFT VHDL (LFR) et celle calculée sous Python (PC), partie réelle et

imaginaire respectivement, sont au maximun de 2-3 counts. Tous les détails dans le fichier zip joint.

#16 - 12/02/2015 04:49 PM - thomas chust

- File analyse_serie6.zip added

thomas chust wrote:

Résultat d'analyse de la série 6 (cosinus):

- les amplitudes avec ampl >=12, environ, sont correctement détectables quelque soit la phase (phi=0°, 45° ou 90°), avec 30%-50% d'erreur

systématique (tendance a la sous-évaluation et erreurs absolues de 1-2 counts).

Plus de détail dans le fichier zip "analyse_serie6" (ci-joint) qui donne les résultats de I'analyse effectuée dans la méme veine que pour la série 7
(comparaison fréquence par fréquence de la FFT_VHDL avec la FFT "exacte" calculée sur le PC)

#17 - 18/02/2015 04:47 PM - thomas chust

- File deux_cosinus_serie8.zip added

- Subject changed from signaux tests pour CoreFFT - série 7 (noise) to signaux tests pour CoreFFT - série 8 (deux cosinus)

- Assignee changed from thomas chust to Jean-Christophe Pellion

- % Done changed from 100 to 0

Salut Jean-Christophe,

Voici un nouveau type de jeu de données a tester: superposition de deux cosinus (1 de petite amplitude + 1 d'amplitude de plus plus en plus forte)

A bientot
Thomas
